cascading.util

## Class NullSafeReverseComparator

- java.lang.Object
- - cascading.util.NullSafeReverseComparator

- All Implemented Interfaces:
    java.io.Serializable, java.util.Comparator<java.lang.Comparable<java.lang.Object>>

      public class NullSafeReverseComparator
      extends java.lang.Object
      implements java.util.Comparator<java.lang.Comparable<java.lang.Object>>, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullSafeReverseComparator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(java.lang.Comparable<java.lang.Object> lhs, java.lang.Comparable<java.lang.Object> rhs)`
    `static <T> java.util.Comparator<T>` | `reverseOrder(java.util.Comparator<T> comparator)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Constructor Detail

    - #### NullSafeReverseComparator

          public NullSafeReverseComparator()

  - ### Method Detail

    - #### reverseOrder

          public static <T> java.util.Comparator<T> reverseOrder(java.util.Comparator<T> comparator)

    - #### compare

          public int compare(java.lang.Comparable<java.lang.Object> lhs,
                    java.lang.Comparable<java.lang.Object> rhs)

      Specified by:
        `compare` in interface `java.util.Comparator<java.lang.Comparable<java.lang.Object>>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.